# FoundationClasses
TKernel
Storage

# Storage_HArrayOfCallBack Class Reference

`#include <Storage_HArrayOfCallBack.hxx>`

Inheritance diagram for Storage_HArrayOfCallBack:

[legend]

## Public Member Functions

Standard_EXPORT | Storage_HArrayOfCallBack (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Storage_HArrayOfCallBack (const Standard_Integer Low, const Standard_Integer Up, const Handle(Storage_CallBack)&V)
Standard_EXPORT void | Init (const Handle(Storage_CallBack)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(Storage_CallBack)&Value)
const Handle_Storage_CallBack & | Value (const Standard_Integer Index) const
Handle_Storage_CallBack & | ChangeValue (const Standard_Integer Index)
const Storage_ArrayOfCallBack & | Array1 () const
Storage_ArrayOfCallBack & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Storage_ArrayOfCallBack | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Storage_HArrayOfCallBack::Storage_HArrayOfCallBack | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Storage_HArrayOfCallBack::Storage_HArrayOfCallBack | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(Storage_CallBack)& | V
| ) |

## Member Function Documentation

const Storage_ArrayOfCallBack& Storage_HArrayOfCallBack::Array1 | ( |  | ) | const

Storage_ArrayOfCallBack& Storage_HArrayOfCallBack::ChangeArray1 | ( |  | ) |

Handle_Storage_CallBack& Storage_HArrayOfCallBack::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Storage_HArrayOfCallBack::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Storage_HArrayOfCallBack::Init | ( | const Handle(Storage_CallBack)& | V | ) |

Standard_Integer Storage_HArrayOfCallBack::Length | ( |  | ) | const

Standard_Integer Storage_HArrayOfCallBack::Lower | ( |  | ) | const

void Storage_HArrayOfCallBack::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Storage_CallBack)& | Value
| ) |

Standard_Integer Storage_HArrayOfCallBack::Upper | ( |  | ) | const

const Handle_Storage_CallBack& Storage_HArrayOfCallBack::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Storage_ArrayOfCallBack Storage_HArrayOfCallBack::myArray `[private]`

The documentation for this class was generated from the following file:

- Storage_HArrayOfCallBack.hxx